﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TX1,TX3 Query Identification RS-232
DATE:                  2017-03-06 14:58:52
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 18540 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       54
=============================================================================
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
#
#  Procedure Author:
#        GMO, DFM, DAC
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
# STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Cmd = "!V?"
  1.002  CALL         Sub Fluke 183,185 Send Command RS-232

  1.003  IF           @Abort
  1.004  END
  1.005  ENDIF

  1.006  MATH         @Manufacturer = "TEKTRONIX"
  1.007  MATH         @ModelNum = SUB(FLD(MEM2, 2, ","), 7, 3)

# Extracts firmware version.
  1.008  MATH         Temp = FLD(FLD(MEM2, 2, ";"), 1, ",")
# Format firmware revision number.
  1.009  MATH         @FirmwareRev = FMT(Temp, "%4.2f")

  1.010  DISP         Manufacturer:    [V @Manufacturer]
  1.010  DISP         Model:           [V @ModelNum]
  1.010  DISP         Firmware Level:  [V @FirmwareRev]
  1.011  RSLT         =
  1.012  RSLT         = Firmware Level:  [V @FirmwareRev]

  1.013  END
